ryan2009:
  type: book
  title: "Channel Codes: Classical and Modern"
  author: [William E. Ryan, Shu Lin]
  date: 2009
  publisher: Cambridge University Press
  location: US

mackay:
  type: book
  title: "Information Theory, Inference, and Learning Algorithms"
  author: David J.C. MacKay
  date: 2003
  publisher: Cambridge University Press

sy2025:
  type: article
  title: "Demystifying 5G Polar and LDPC Codes: A Comprehensive Review and Foundations"
  author: Mody Sy
  date: 2025
  journal: arXiv:2502.11053 [cs.IT]

kschischang2001:
  type: article
  title: "Factor Graphs and the Sum-Product Algorithm"
  author: [Frank R. Kschischang, Brendan J. Frey, Hans-Andrea Loeliger]
  date: 2001
  journal: IEEE Transactions on Information Theory
  volume: 47
  number: 2
  pages: 498-519

liva2006:
  type: article
  title: "Design of LDPC Codes: A Survey and New Results"
  author: [Gianluigi Liva, Shumei Song, Lan Lan, Yifei Zhang, Shu Lin, William E. Ryan]
  date: 2006
  journal: Journal of Communications Software and Systems
  volume: 2
  number: 3
  pages: 191-211

ryan2003:
  type: report
  title: "An Introduction to LDPC Codes"
  author: William E. Ryan
  date: 2003
  institution: University of Arizona

shokrollahi2003:
  type: report
  title: "LDPC Codes: An Introduction"
  author: Amin Shokrollahi
  date: 2003
  institution: Digital Fountain, Inc.

johnson:
  type: report
  title: "Introducing Low-Density Parity-Check Codes"
  author: Sarah J. Johnson
  institution: University of Newcastle
  note: ACORN Spring School

richardson2008:
  type: book
  title: "Modern Coding Theory"
  author: [Tom Richardson, Rüdiger Urbanke]
  date: 2008
  publisher: Cambridge University Press
